/* 
	green #54b948 , blue #50a5dc, purple #8967ac, yellow #f8e822, red #d71920 
 */

:root {
    --mainBackColor: #e6e8fc;
    --secondaryBackColor: #d2d4f6;
    --mainFontColor: black;
    --menuColor: #bcbffe;
    --menuHoverColor: #8e94d8;
    --menuFontColor: black;
    --menuHoverFontColor: white;
    --subMenuColor: #b3eed5;
    --subMenuHoverColor: #82d7be;
    --subMenuFontColor: black;
    --subMenuHoverFontColor: white;
    --gotoTopButtonColor: #8e94d8;
    --figureBorderColor: silver;
}

.animateFadeIn {
    visibility: visible;
    animation: fadeIn 2s
}

@keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }

    ;
}

.animateFadeOut {
    visibility: hidden;
    transition: visibility 0s 2s;
    animation: fadeOut 2s
}

@keyframes fadeOut {
    0% {
        opacity: 1
    }

    100% {
        opacity: 0
    }

    ;
}

.animateFadeBoth {
    visibility: visible;
    animation: fadeBoth 10s
}

@keyframes fadeBoth {
    0% {
        opacity: 0
    }

    20% {
        opacity: 1
    }

    80% {
        opacity: 1
    }

    100% {
        opacity: 0
    }

    ;
}

.carouselCaption {
    font-size: 0.8em;
    font-style: italic;
    text-align: center;
    margin-top: -.2em;
}

.scroll-left {
    height: 1.5em;
    overflow: hidden;
    position: relative;
    background: white;
    color: var(--headerFontColor);
    border: var(--mainBackColor);
    margin-bottom: 1em;
    margin-top: -.5em;
}

.scroll-left p {
    position: absolute;
    width: 150%;
    height: 100%;
    margin: 0;
    font-size: 1.1em;
    line-height: 1.5em;
    text-align: center;
    /* Starting position */
    transform: translateX(100%);
    /* Apply animation to this element */
    animation: scroll-left 20s linear infinite;
}

/* Move it (define the animation) */
@keyframes scroll-left {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}


body {
    font-size: 100%;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--mainFontColor);
    background-color: var(--mainBackColor);
    margin-bottom: 35px;
}

p,
li {
    font-size: 0.9em;
    margin-left: 1em;
    margin-right: 1em;
}

p.centered {
    text-align: center;
}

figure.figurefloatleft {
    display: block;
    float: left;
    text-align: center;
    font-style: italic;
    font-size: smaller;
    text-indent: 0;
    line-height: 1;
    border: thin solid;
    border-color: var(--figureBorderColor);
    margin: 0.5em;
    max-width: 600px;
    min-width: 300px;
}

img.figureimage {
    max-width: 100%;
}


img.smallfigureimage {
    max-height: 300px;
}

figure.figurefloatcentre {
    display: block;
    float: none;
    text-align: center;
    font-style: italic;
    font-size: smaller;
    text-indent: 0;
    line-height: 1;
    border: thin solid;
    border-color: var(--figureBorderColor);
    margin: 0.5em;
    max-width: 1200px;
}

img.figurefullimage {
    height: auto;
    width: auto;
    max-width: 100%;
    max-height: 100%;
    margin-left: auto;
    margin-right: auto;
}

li.withbullets {
    list-style: disc;
}

table {
    font-family: sans-serif;
    font-size: 0.8em;
    border-collapse: collapse;
    width: auto;
    margin: 2em;
}


/* tables */
td,
th {
    border: 1px solid silver;
    text-align: left;
    padding: 0.4em;
    margin: 2em;
}

th {
    font-weight: bold;
}


/* for use in single column */
img.fullimage {
    display: block;
    margin-left: Auto;
    margin-right: Auto;
    max-Width: 100%;
}

img.floatleft {
    display: block;
    float: left;
    margin-top: 15px;
    margin-right: 20px;
    max-width: 400px;
    max-height: 400px;
}

img.floatright {
    clear: both;
    display: block;
    float: right;
    margin-top: 15px;
    margin-left: 20px;
    max-width: 400px;
    max-height: 400px;
}

/*for use in 2 columns*/
img.lefthalfimage {
    max-width: 400px;
    max-height: 400px;
}

img.righthalfimage {
    max-width: 350px;
    max-height: 350px;
}

a.blocklink {
    display: block;
    float: left;
    margin-top: 5px;
    margin-right: 10px;
    padding-left: 5px;
    padding-right: 5px;
    text-decoration: none;
    color: var(--menuFontColor);
    background-color: var(--menuColor);
    font-size: 0.9em;
}

a.blocklink:hover {
    background-color: var(--menuHoverColor);
    color: var(--menuHoverFontColor);
}

em {
    font-weight: bold;
    font-style: normal;
}

h1 {
    font-size: 1.5em;
    color: var(--mainFontColor);
    text-align: center;
    margin-top: 0.8em;
    margin-bottom: 0.5em;
    margin-left: 1em;
    margin-right: 1em;
}

h2 {
    font-size: 1.2em;
    color: var(--mainFontColor);
    text-align: center;
    margin-top: 0.3em;
    margin-bottom: 0.4em;
    margin-left: 1em;
    margin-right: 1em;
}

h2.alignleft {
    text-align: left;
    margin-left: 2em;
}

h3 {
    font-size: 1.0em;
    text-align: center;
    margin-top: 0.3em;
    margin-bottom: 0.2em;
    margin-left: 1em;
    margin-right: 1em;
}

li {
    background-repeat: no-repeat;
    background-position: 0px 5px;
    padding-left: 0px;
    list-style: none;
}

hr {
    margin-left: 2em;
    margin-right: 2em;
    margin-top: 2em;
    margin-bottom: 2em;
}

div.outercon {
    width: 100%;
    margin: 1px auto;
    border-width: 1px;
    border-style: solid;
    border-color: #007730;
    line-height: 150%;
    min-width: 320px;
    max-width: 1200px;
    background-color: #ffffff;
}

div.header {
    position: relative;
    padding: 0.0em;
    height: 50px;
    clear: left;
}

div.subheader,
div.subfooter {
    padding: 0px;
    height: 32px;
    font-size: 90%;
    border-width: 1px;
    border-style: solid;
    border-color: #FFF;
}

/* top menu bar section */
/* format main menu bar */
div.menubar {
    clear: both;
    height: auto;
    /*30px;*/
    padding-top: 1px;
    padding-left: 0px;
}

/* format menu button */
div.menubutton {
    margin: 0px 3px 0px 0px;
    padding: 0px 0px 0px 0px;
    float: left;
    position: relative;
    background-color: var(--menuColor);
    width: 110px;
    font-size: 0.9em;
}

div.menubutton a:active,
div.menubutton a:hover {
    color: var(--menuHoverFontColor);
    background-color: var(--menuHoverColor);
}

/* links in main menu bar */
div.menubar a {
    font-weight: normal;
    color: var(--menuFontColor);
    text-decoration: none;
    display: block;
    padding: 4px 6px;
}

/* Highlight element in submenu */
div.submenubutton a:hover {
    background: var(--subMenuHoverColor);
    color: var(--subMenuHoverFontColor);
}

/* dropdown when hovering */
div.menubar div.menubutton:hover>div.submenu {
    display: block;
    background: var(--subMenuColor);
    z-index: 100;
}

/* drop done list */
div.menubar div.submenu {
    display: none;
    margin: 0px;
    padding: 4px 0px;
    width: 110px;
    position: absolute;
    top: 32px;
    left: 0px;
    z-index: 100;
}


div.innercon {
    float: none;
    padding: 0px;
    height: auto;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 0px;
    background-color: white;
}

div.shadowedbox {
    margin: 1em;
    padding: 1em;
    box-shadow: 4px 4px silver;
    border: 2px solid black;
    font-family: serif;
}

div.leftside {
    display: block;
    float: left;
    width: 50%;
}

div.rightside {
    display: block;
    float: right;
    width: 50%;
    padding-left: 0px;
}




div.fullwidth {
    display: block;
}

p.notetext {
    font-size: 0.8em;
}

div.footer {
    clear: both;
    text-align: center;
    font-weight: bold;
    margin: 0px;
    padding: 1px;
    line-height: 10%;
    color: var(--mainFontColor);
    background-color: var(--secondaryBackColor);
}

div.cleardiv {
    clear: both;
}




#gototopbutton {
    width: 90px;
    background-color: var(--gotoTopButtonColor);
    margin: 2px 3px 0px 0px;
    padding: 0px 0px 0px 0px;
    text-decoration: none;
    padding: 4px 8px;
    position: fixed;
    bottom: 0px;
    right: 20px;
    height: 20px;
    display: none;
    font-size: 0.8em;
    z-index: 100;
}

form {
    position: relative;
    /*	width:510px;*/
    font-size: 0.9em;
    font-family: Arial, Helvetica, sans-serif;
    text-decoration: none;
    margin-bottom: 0.5em;
    width: 100%;
    max-width: 600px;
}

div.formline {
    position: relative;
    height: 4em;
    /*	width:120px;*/
}

input[type=text] {
    width: 95%;
    display: inline-block;
    margin-top: 4px;
}

div.special {
    text-align: center;
    border: 2px solid #000;
    font-size: 1.3em;
}

input {
    width: 305px;
    display: block;
    border: 1px solid #bbb;
    height: 20px;
    font-size: 0.9em;
    font-family: Arial, Helvetica, sans-serif;
}

select {
    height: 25px;
    width: 150px;
    font-size: 0.9em;
    font-family: Arial, Helvetica, sans-serif;
    color: #000;
}

textarea#description {
    height: 150px;
    width: 95%;
}

input#submitbutton,
input#resetbutton {
    width: 150px;
    background: #FFF;
}

input#submitbutton:hover {
    background: #d71920;
    color: #FFF;
}

textarea {
    font-size: 0.9em;
    font-family: Arial, Helvetica, sans-serif;
    border: 1px solid #bbb;
}

textarea:focus,
input:focus {
    border: 1px solid #50a5dc;
}

.gallery {
    clear: both;
    margin: 1px;
    margin-bottom: 8px;
    font-size: 90%;
    overflow: auto;
}

.gallery ul {
    list-style-type: none;
    margin-top: 20px;
    margin-right: 10px;
}

.gallery li {
    float: left;
    width: 150px;
}

.gallery a {
    display: block;
    padding: 5px 5px;
    text-decoration: none;
    width: 130px;
    height: 100px;
    cursor: pointer;
}

.gallery a img.thumb {
    border-style: none;
    -webkit-box-shadow: 1px 2px 4px #444;
    -moz-box-shadow: 1px 2px 4px #444;
    box-shadow: 1px 2px 4px #444;
}

@media screen and (max-width: 600px) {
    img.lefthalfimage {
        max-width: 240px;
        max-height: 240px;
    }

    img.righthalfimage {
        max-width: 180px;
        max-height: 180px;
    }

    img.floatleft,
    img.floatright {
        max-width: 300px;
    }

    div.leftside {
        display: block;
        float: left;
        width: 100%;
    }

    div.rightside {
        display: block;
        float: left;
        width: 100%;
        padding-left: 0px;
    }

    figure.figurefloatleft {
        display: block;
        float: none;
        text-align: center;
        font-style: italic;
        font-size: smaller;
        text-indent: 0;
        line-height: 1;
        border: thin solid;
        border-color: var(--figureBorderColor);
        margin: 0.5em;
        max-width: 600px;
    }

    .carouselCaption {
        font-size: 0.5em;
        font-style: italic;
        text-align: center;
        margin-top: -.2em;
    }

    div.footer {
        font-size: 0.8em;
    }
}